Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 494504

Summary: x11-libs/vte-0.34.9 - checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
Product: Gentoo Linux Reporter: Roy Wellington <cactus_hugged>
Component: [OLD] GNOMEAssignee: Gentoo Linux bug wranglers <bug-wranglers>
Status: RESOLVED DUPLICATE    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
emerge --info '=x11-libs/vte-0.34.9::gentoo'

Description Roy Wellington 2013-12-17 07:44:26 UTC
It appears to be missing a dependency on XML::Parser (dev-perl/XML-Parser?):

checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool


The output of `emerge -pqv '=x11-libs/vte-0.34.9::gentoo'`:
[ebuild  NS   ] x11-libs/vte-0.34.9 [0.28.2-r206] USE="introspection -debug -glade"
Comment 1 Roy Wellington 2013-12-17 07:45:10 UTC
Created attachment 365512 [details]
build.log
Comment 2 Roy Wellington 2013-12-17 07:45:40 UTC
Created attachment 365514 [details]
emerge --info '=x11-libs/vte-0.34.9::gentoo'
Comment 3 Roy Wellington 2013-12-17 08:18:22 UTC
Actually this might be a mix of it and me:

1. The ebuild seems to lack the dependency on the perl module, but the configure does check for it. This seems to be a bug.

2. However, something seems to also be wrong with my system, as XML-Parser is installed:

% perl
require XML::Parser
Can't locate XML/Parser.pm in @INC (@INC contains: /etc/perl /usr/local/lib64/perl5/5.16.3/x86_64-linux /usr/local/lib64/perl5/5.16.3 /usr/lib64/perl5/vendor_perl/5.16.3/x86_64-linux /usr/lib64/perl5/vendor_perl/5.16.3 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.16.3/x86_64-linux /usr/lib64/perl5/5.16.3 .) at - line 1.

% equery f dev-perl/XML-Parser
…
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/XML/Parser.pm
…

Google-ing a bit, and I found `perl-cleaner --modules`; this seems to be what I need to run, and after running it the ebuild is now proceeding just fine, as I already have XML-Parser.
Comment 4 Jeroen Roovers gentoo-dev 2013-12-17 12:29:02 UTC

*** This bug has been marked as a duplicate of bug 41124 ***